Note : This endpoint is in public beta and is subject to change.
If you have any feedback, contact Datadog support .
GET https://api.ap1.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id} https://api.ap2.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id} https://api.datadoghq.eu/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id} https://api.ddog-gov.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id} https://api.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id} https://api.us3.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id} https://api.us5.datadoghq.com/api/v2/cloud_auth/aws/persona_mapping/{persona_mapping_id}
Overview Get a specific AWS cloud authentication persona mapping by ID. This endpoint retrieves a single configured persona mapping that associates an AWS IAM principal with a Datadog user.
Arguments Path Parameters persona_mapping_id [required ]
The ID of the persona mapping
Response OK
Response containing a single AWS cloud authentication persona mapping
Expand All
Data for AWS cloud authentication persona mapping response
Attributes for AWS cloud authentication persona mapping response
account_identifier [required ]
Datadog account identifier (email or handle) mapped to the AWS principal
AWS IAM ARN pattern to match for authentication
Unique identifier for the persona mapping
Type identifier for AWS cloud authentication persona mapping
Allowed enum values: aws_cloud_auth_config
{
"data" : {
"attributes" : {
"account_identifier" : "test@test.com" ,
"account_uuid" : "12bbdc5c-5966-47e0-8733-285f9e44bcf4" ,
"arn_pattern" : "arn:aws:iam::123456789012:user/testuser"
},
"id" : "c5c758c6-18c2-4484-ae3f-46b84128404a" ,
"type" : "aws_cloud_auth_config"
}
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export persona_mapping_id = "c5c758c6-18c2-4484-ae3f-46b84128404a" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/cloud_auth/aws/persona_mapping/${persona_mapping_id} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "